Page MenuHomePhabricator

ci: run make check in build
ClosedPublic

Authored by zmike on Jul 17 2018, 1:49 PM.

Details

Summary

this adds a script to run make check after the build has finished,
repeating tests 3 times to try and reduce false positives from intermittent
failure tests

ref T7094

Depends on D6616

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 6984
zmike created this revision.Jul 17 2018, 1:49 PM
zmike requested review of this revision.Jul 17 2018, 1:49 PM
zmike updated this revision to Diff 15798.Jul 23 2018, 4:44 AM
zmike edited the summary of this revision. (Show Details)
zmike added a project: Restricted Project.
stefan_schmidt accepted this revision.Jul 25 2018, 1:34 AM

Hmm, not really a beauty to do this three times, but perfection is to much of an enemy to go forward. Let's hope we can get rid of it later.

With the two parameter for travis_fold fixed I am ok with this one.

.ci/ci-make-check.sh
7

travis_fold does need two parameter, right?

This revision is now accepted and ready to land.Jul 25 2018, 1:34 AM
zmike added inline comments.Jul 25 2018, 8:38 AM
.ci/ci-make-check.sh
7

Yes.

zmike added a comment.Jul 25 2018, 8:39 AM

It's unlikely we'll be able to remove iterating. Running tests in a loop like this is pretty common practice from devops people I've talked to--at least if you're running on Travis.

This revision was automatically updated to reflect the committed changes.